/* eslint-disable */
import React from "react";

const TouchIcon = () => {
  return (
    <svg width="25" height="24" viewBox="0 0 25 24" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d="M2.16918 15.6027C2.49353 15.4215 3.55146 14.6271 3.55146 12.0197C3.5516 11.3039 3.63666 10.5907 3.80485 9.89498C3.83459 9.7725 3.81446 9.64322 3.74888 9.53558C3.6833 9.42795 3.57765 9.35077 3.45517 9.32104C3.33269 9.2913 3.20341 9.31143 3.09577 9.37701C2.98814 9.44259 2.91096 9.54824 2.88122 9.67072C2.69326 10.4413 2.59756 11.2316 2.59615 12.0248C2.59615 14.0595 1.87778 14.6588 1.727 14.7614C1.50275 14.8413 1.28483 14.9287 1.07324 15.0275C1.15771 15.3383 1.25273 15.6433 1.35831 15.9423C1.59583 15.8287 1.83946 15.7285 2.08809 15.642C2.11637 15.6316 2.14353 15.6185 2.16918 15.6027Z" fill="white"/>
      <g >
        <path d="M1.46831 15.6774C1.4075 15.4975 1.35175 15.3138 1.2998 15.1288C1.45311 15.0617 1.61528 15.0021 1.79139 14.935C1.80659 14.9296 1.82106 14.9224 1.83447 14.9134C2.05746 14.7614 2.78597 14.1026 2.78597 12.0196C2.7846 11.2435 2.87518 10.4699 3.05584 9.715C3.07066 9.6529 3.10598 9.59762 3.1561 9.55808C3.20622 9.51853 3.2682 9.49704 3.33204 9.49708C3.35514 9.4969 3.37816 9.49988 3.40046 9.50595C3.43676 9.51471 3.47097 9.53055 3.50114 9.55257C3.53131 9.57458 3.55683 9.60233 3.57625 9.63423C3.59567 9.66613 3.60861 9.70154 3.61431 9.73845C3.62002 9.77535 3.61839 9.81302 3.60951 9.8493C3.44009 10.5603 3.35503 11.2887 3.35611 12.0196C3.35611 14.5245 2.37294 15.2682 2.0714 15.4405C2.05639 15.4486 2.04071 15.4554 2.02452 15.4608C1.837 15.5228 1.65076 15.5963 1.46831 15.6774Z" fill="white"/>
      </g>
      <path d="M7.53489 13.2919C7.54816 13.1665 7.5111 13.0411 7.43186 12.943C7.35262 12.845 7.23769 12.7825 7.11235 12.7692C6.98701 12.756 6.86154 12.793 6.76353 12.8723C6.66551 12.9515 6.60299 13.0664 6.58972 13.1918C6.15261 17.2879 3.47295 18.2597 3.37159 18.3015C3.1386 18.3756 2.91261 18.4701 2.69629 18.5841C2.8762 18.8501 3.06751 19.1098 3.27023 19.3607C3.40038 19.2989 3.53456 19.246 3.67186 19.2023C3.8087 19.1517 7.03443 17.9797 7.53489 13.2919Z" fill="white"/>
      <g >
        <path d="M3.32723 19.1194C3.20813 18.9687 3.09157 18.8103 2.97754 18.6494C3.12689 18.5855 3.28007 18.5309 3.43619 18.486C3.73899 18.3757 6.35024 17.3165 6.78482 13.2153C6.79257 13.146 6.82548 13.0819 6.87731 13.0352C6.92915 12.9885 6.99632 12.9624 7.06609 12.9619H7.09903C7.13633 12.9655 7.17253 12.9766 7.20553 12.9943C7.23853 13.0121 7.26767 13.0362 7.29125 13.0653C7.31484 13.0945 7.33239 13.128 7.34289 13.1639C7.35339 13.1999 7.35663 13.2376 7.35242 13.2749C6.8659 17.836 3.74786 18.9763 3.61483 19.0257C3.51601 19.0498 3.42098 19.084 3.32723 19.1194Z" fill="white"/>
      </g>
      <path d="M8.01966 18.0165C8.08888 17.9112 8.11342 17.7827 8.08787 17.6592C8.06233 17.5358 7.9888 17.4276 7.88346 17.3584C7.77811 17.2891 7.64959 17.2646 7.52615 17.2901C7.40272 17.3157 7.29448 17.3892 7.22526 17.4946C5.90887 19.5002 4.15537 20.083 4.08568 20.1058C4.04387 20.1185 4.00333 20.1337 3.95898 20.1489C4.19971 20.4023 4.45437 20.6443 4.71917 20.8761C6.06945 20.2571 7.21461 19.2649 8.01966 18.0165Z" fill="white"/>
      <g >
        <path d="M4.75798 20.6515C4.60214 20.5134 4.45137 20.3702 4.30566 20.2258C5.56871 19.6729 6.64024 18.7592 7.38569 17.5994C7.41176 17.5601 7.44719 17.528 7.48877 17.5059C7.53035 17.4838 7.57679 17.4724 7.62389 17.4727C7.67968 17.4728 7.73425 17.4891 7.78099 17.5195C7.81302 17.5396 7.84073 17.5658 7.86249 17.5967C7.88424 17.6276 7.89961 17.6625 7.90769 17.6995C7.91573 17.736 7.91629 17.7739 7.90932 17.8107C7.90235 17.8475 7.888 17.8825 7.86715 17.9136C7.10453 19.0967 6.02808 20.0447 4.75798 20.6515Z" fill="white"/>
      </g>
      <path d="M2.93938 17.3971C3.37902 17.2197 5.57343 16.1301 5.57343 12.02C5.56817 10.4983 6.0523 9.0152 6.95434 7.78966C7.85639 6.56411 9.12856 5.66106 10.5831 5.21379C10.7017 5.17497 10.8003 5.09101 10.8575 4.98007C10.9148 4.86914 10.9261 4.74013 10.8889 4.62094C10.8518 4.50176 10.7693 4.40197 10.6592 4.34315C10.5491 4.28434 10.4202 4.27122 10.3005 4.30663C8.65161 4.81423 7.20958 5.83853 6.1873 7.22834C5.16502 8.61814 4.61667 10.2998 4.6232 12.0251C4.6232 15.5333 2.84942 16.4076 2.59603 16.5165C2.30105 16.6146 2.01424 16.7358 1.73828 16.8789C1.8692 17.1644 2.01279 17.4469 2.16905 17.7265C2.40788 17.6031 2.65615 17.4988 2.91151 17.4148L2.93938 17.3971Z" fill="white"/>
      <g >
        <path d="M2.24656 17.4732C2.15703 17.3042 2.07256 17.1353 1.99316 16.9664C2.21044 16.8629 2.43384 16.7727 2.66213 16.6965H2.6748C3.03335 16.547 4.81853 15.6158 4.81853 12.0302C4.81327 10.3463 5.34929 8.70523 6.34753 7.34907C7.34578 5.99291 8.75341 4.99343 10.3628 4.49803C10.3903 4.48941 10.4189 4.48513 10.4477 4.48536C10.5159 4.48546 10.5818 4.51001 10.6335 4.55456C10.6851 4.5991 10.7191 4.66069 10.7292 4.72814C10.7393 4.79559 10.7249 4.86444 10.6886 4.92218C10.6523 4.97992 10.5965 5.02272 10.5313 5.04283C9.03838 5.50144 7.73223 6.42754 6.80543 7.68465C5.87862 8.94175 5.38019 10.4633 5.3836 12.0252C5.3836 16.0086 3.28928 17.0563 2.86865 17.2198L2.85471 17.2261H2.84331C2.63958 17.2963 2.4403 17.3788 2.24656 17.4732Z" fill="white"/>
      </g>
      <path d="M10.9514 16.5774C11.2014 15.8353 11.3833 15.072 11.4949 14.2969C11.5101 14.1736 11.4764 14.0493 11.4011 13.9506C11.3257 13.8518 11.2147 13.7865 11.0918 13.7686C10.9689 13.7507 10.8439 13.7817 10.7435 13.8548C10.6432 13.928 10.5754 14.0376 10.5549 14.16C10.4502 14.8771 10.2805 15.5832 10.0481 16.2696C8.96099 19.4573 6.77798 20.9574 5.59082 21.5668C5.87969 21.7759 6.17997 21.971 6.48784 22.1521C7.87012 21.34 9.89729 19.6765 10.9514 16.5774Z" fill="white"/>
      <g >
        <path d="M6.4917 21.9314C6.30756 21.8207 6.12934 21.7067 5.95703 21.5893C7.21641 20.8836 9.2043 19.3455 10.2318 16.3313C10.465 15.6339 10.6346 14.9168 10.7386 14.1889C10.7486 14.1212 10.7824 14.0594 10.834 14.0146C10.8856 13.9697 10.9515 13.9448 11.0199 13.9443H11.0604C11.1356 13.9551 11.2035 13.9952 11.2492 14.0558C11.2717 14.0858 11.288 14.1199 11.2972 14.1563C11.3063 14.1926 11.3081 14.2304 11.3024 14.2674C11.1927 15.031 11.0133 15.7829 10.7665 16.5138C9.77698 19.438 7.91578 21.0686 6.4917 21.9314Z" fill="white"/>
      </g>
      <path d="M13.5553 12.0249C13.5553 11.8989 13.5052 11.7781 13.4161 11.689C13.327 11.5999 13.2062 11.5498 13.0802 11.5498C12.9542 11.5498 12.8333 11.5999 12.7442 11.689C12.6551 11.7781 12.6051 11.8989 12.6051 12.0249C12.6051 15.9754 11.3875 19.1441 8.9891 21.4449C8.51608 21.8987 8.00297 22.3088 7.45605 22.6701C7.79434 22.831 8.14149 22.9742 8.49751 23.1021C8.88695 22.8124 9.25844 22.4993 9.60992 22.1646C11.4103 20.4491 13.5553 17.3006 13.5553 12.0249Z" fill="white"/>
      <g >
        <path d="M8.46642 22.8831C8.25357 22.8046 8.04451 22.7209 7.8418 22.6297C8.29417 22.3105 8.72193 21.9577 9.12145 21.5743C11.5604 19.2355 12.7957 16.0199 12.7957 12.0175C12.7957 11.9419 12.8257 11.8694 12.8792 11.8159C12.9326 11.7625 13.0052 11.7324 13.0808 11.7324C13.1564 11.7324 13.2289 11.7625 13.2823 11.8159C13.3358 11.8694 13.3658 11.9419 13.3658 12.0175C13.3658 17.2324 11.2525 20.3352 9.48 22.019C9.15872 22.326 8.82032 22.6144 8.46642 22.8831Z" fill="white"/>
      </g>
      <path d="M13.8257 18.4037C13.7104 18.3529 13.5797 18.3499 13.4621 18.3952C13.3446 18.4406 13.2498 18.5306 13.1985 18.6457C12.5077 20.2277 11.509 21.6563 10.2604 22.8483C10.0399 23.0586 9.81948 23.2524 9.60156 23.4336C9.98876 23.5316 10.3808 23.6094 10.7761 23.6667L10.9154 23.54C12.2596 22.2621 13.3352 20.7286 14.0791 19.0296C14.104 18.9719 14.1173 18.9099 14.118 18.847C14.1187 18.7842 14.107 18.7218 14.0834 18.6636C14.0598 18.6054 14.0249 18.5524 13.9806 18.5078C13.9364 18.4631 13.8837 18.4278 13.8257 18.4037Z" fill="white"/>
      <g >
        <path d="M10.7188 23.4659C10.4806 23.4292 10.2462 23.3848 10.0156 23.3392C10.1423 23.2226 10.269 23.1073 10.3957 22.9895C11.6625 21.7805 12.6755 20.3311 13.3757 18.7261C13.3987 18.6759 13.4356 18.6333 13.4821 18.6035C13.5286 18.5736 13.5827 18.5577 13.6379 18.5576C13.6951 18.5578 13.751 18.5751 13.7982 18.6074C13.8455 18.6397 13.8819 18.6855 13.9027 18.7388C13.9171 18.7733 13.9246 18.8103 13.9246 18.8478C13.9246 18.8852 13.9171 18.9222 13.9027 18.9567C13.169 20.63 12.109 22.1401 10.7847 23.3988L10.7188 23.4659Z" fill="white"/>
      </g>
      <path d="M14.2464 8.9552C14.3625 9.00443 14.4934 9.00552 14.6103 8.95824C14.7272 8.91095 14.8205 8.81917 14.8697 8.70307C14.919 8.58697 14.9201 8.45608 14.8728 8.33918C14.8255 8.22227 14.7337 8.12894 14.6176 8.07972C13.967 7.80564 13.2587 7.69682 12.5558 7.76296C11.8529 7.82909 11.1773 8.06813 10.5892 8.45876C10.0012 8.84939 9.51888 9.37946 9.1854 10.0017C8.85192 10.624 8.67761 11.3191 8.678 12.0251C8.68692 13.1096 8.54319 14.1899 8.25103 15.2344C8.21614 15.3555 8.23069 15.4855 8.29149 15.5959C8.35228 15.7064 8.45436 15.7882 8.57537 15.8235C8.61657 15.8354 8.65918 15.8418 8.70207 15.8425C8.80498 15.8422 8.90504 15.8086 8.98726 15.7467C9.06948 15.6848 9.12945 15.598 9.15819 15.4992C9.47672 14.3688 9.63495 13.1994 9.62824 12.0251C9.62891 11.1432 9.97952 10.2977 10.6031 9.67412C11.2267 9.05055 12.0722 8.69994 12.9541 8.69927C13.3977 8.69669 13.8372 8.78374 14.2464 8.9552Z" fill="white"/>
      <g >
        <path d="M8.71059 15.6521C8.68317 15.652 8.6559 15.6481 8.6295 15.6407C8.55721 15.6187 8.49642 15.5692 8.46018 15.5029C8.42394 15.4366 8.41514 15.3587 8.43565 15.2859C8.73251 14.2246 8.87796 13.1267 8.86769 12.0247C8.86807 11.3505 9.0352 10.6868 9.3542 10.0927C9.67321 9.49867 10.1342 8.99275 10.696 8.62001C11.2579 8.24726 11.9033 8.01927 12.5746 7.95633C13.2459 7.89339 13.9224 7.99746 14.5438 8.25927C14.5788 8.27416 14.6104 8.29585 14.637 8.32307C14.6636 8.35029 14.6844 8.38251 14.6985 8.41786C14.7125 8.4532 14.7194 8.49098 14.7187 8.529C14.718 8.56703 14.7098 8.60454 14.6945 8.63936C14.6727 8.69083 14.6361 8.73473 14.5895 8.76559C14.5429 8.79646 14.4882 8.81292 14.4323 8.81294C14.3939 8.81298 14.356 8.80522 14.3208 8.79014C13.8885 8.60657 13.4234 8.51261 12.9537 8.51393C12.0224 8.51494 11.1295 8.88498 10.4705 9.54303C9.81152 10.2011 9.44018 11.0935 9.43784 12.0247C9.44779 13.1806 9.2951 14.3322 8.98426 15.4456C8.96685 15.5048 8.93084 15.5569 8.88156 15.5941C8.83227 15.6313 8.77233 15.6516 8.71059 15.6521Z" fill="white"/>
      </g>
      <path d="M14.3654 16.8205C14.4026 16.8301 14.441 16.8348 14.4794 16.8345C14.5856 16.8347 14.6888 16.7992 14.7725 16.7337C14.8561 16.6682 14.9153 16.5765 14.9406 16.4734C15.2903 15.0166 15.4634 13.5231 15.4563 12.025C15.4563 11.395 15.206 10.7907 14.7605 10.3452C14.315 9.8997 13.7107 9.64941 13.0807 9.64941C12.4506 9.64941 11.8464 9.8997 11.4009 10.3452C10.9554 10.7907 10.7051 11.395 10.7051 12.025C10.7051 12.151 10.7551 12.2719 10.8442 12.361C10.9333 12.4501 11.0542 12.5001 11.1802 12.5001C11.3062 12.5001 11.4271 12.4501 11.5162 12.361C11.6053 12.2719 11.6553 12.151 11.6553 12.025C11.6553 11.647 11.8055 11.2844 12.0728 11.0171C12.3401 10.7498 12.7026 10.5996 13.0807 10.5996C13.4587 10.5996 13.8212 10.7498 14.0885 11.0171C14.3558 11.2844 14.506 11.647 14.506 12.025C14.5134 13.4479 14.3496 14.8666 14.0182 16.2504C13.9892 16.372 14.0094 16.5002 14.0744 16.607C14.1394 16.7138 14.244 16.7905 14.3654 16.8205Z" fill="white"/>
      <g >
        <path d="M14.4788 16.6438C14.457 16.6442 14.4353 16.6416 14.4142 16.6362C14.3775 16.6279 14.3429 16.6125 14.3122 16.5907C14.2816 16.569 14.2555 16.5414 14.2356 16.5095C14.2156 16.4775 14.2025 16.4418 14.1968 16.4046C14.1911 16.3673 14.1931 16.3293 14.2026 16.2929C14.5371 14.8949 14.7025 13.4618 14.6955 12.0244C14.6955 11.596 14.5253 11.1851 14.2223 10.8821C13.9194 10.5792 13.5085 10.409 13.0801 10.409C12.6516 10.409 12.2408 10.5792 11.9378 10.8821C11.6349 11.1851 11.4647 11.596 11.4647 12.0244C11.4647 12.1 11.4346 12.1725 11.3812 12.226C11.3277 12.2794 11.2552 12.3095 11.1796 12.3095C11.104 12.3095 11.0315 12.2794 10.978 12.226C10.9246 12.1725 10.8945 12.1 10.8945 12.0244C10.8945 11.4448 11.1248 10.8889 11.5347 10.479C11.9445 10.0691 12.5004 9.83887 13.0801 9.83887C13.6597 9.83887 14.2156 10.0691 14.6255 10.479C15.0354 10.8889 15.2656 11.4448 15.2656 12.0244C15.2741 13.5087 15.104 14.9886 14.7588 16.4322C14.7424 16.4937 14.706 16.5479 14.6552 16.5862C14.6045 16.6246 14.5424 16.6448 14.4788 16.6438Z" fill="white"/>
      </g>
      <path d="M16.7874 10.1245C16.731 10.0125 16.6325 9.92736 16.5135 9.88768C16.3945 9.848 16.2646 9.85699 16.1522 9.91268C16.0398 9.96838 15.954 10.0663 15.9135 10.185C15.873 10.3037 15.8811 10.4336 15.936 10.5464C16.1643 11.0057 16.2819 11.5121 16.2794 12.025C16.2794 17.8911 13.9988 21.6071 11.8994 23.7813C12.0983 23.7914 12.2972 23.7965 12.4987 23.7965C12.7306 23.7965 12.9611 23.7902 13.1892 23.7762C15.2189 21.4006 17.2296 17.6415 17.2296 12.025C17.2318 11.3657 17.0804 10.7151 16.7874 10.1245Z" fill="white"/>
      <g >
        <path d="M12.4988 23.6015H12.3252C14.2814 21.4477 16.4695 17.7608 16.4695 12.0213C16.471 11.4807 16.3465 10.9471 16.1059 10.4629C16.0724 10.3957 16.0669 10.318 16.0907 10.2467C16.1144 10.1755 16.1655 10.1166 16.2326 10.0829C16.272 10.0637 16.3154 10.0537 16.3593 10.0537C16.412 10.0539 16.4637 10.0689 16.5085 10.0968C16.5533 10.1248 16.5893 10.1647 16.6127 10.2121C16.8938 10.7751 17.0399 11.3958 17.0396 12.0251C17.0396 17.7379 14.9086 21.4603 13.0981 23.5914C12.9055 23.5965 12.7053 23.6015 12.4988 23.6015Z" fill="white"/>
      </g>
      <path d="M17.5252 18.6755C17.4064 18.6337 17.2759 18.6405 17.1622 18.6947C17.0484 18.7488 16.9608 18.8458 16.9184 18.9644C16.3268 20.6452 15.4752 22.2228 14.3945 23.6395C14.8652 23.5651 15.3307 23.461 15.7882 23.3279C16.6305 22.0695 17.3115 20.7104 17.8154 19.2824C17.8362 19.2235 17.8453 19.1611 17.842 19.0987C17.8387 19.0363 17.8231 18.9751 17.7962 18.9188C17.7692 18.8624 17.7314 18.8119 17.6849 18.7702C17.6385 18.7284 17.5842 18.6963 17.5252 18.6755Z" fill="white"/>
      <g >
        <path d="M14.8389 23.3664C15.7949 22.0342 16.5572 20.5732 17.103 19.027C17.123 18.9714 17.1596 18.9234 17.2079 18.8894C17.2562 18.8554 17.3138 18.8371 17.3728 18.8369C17.4048 18.8373 17.4364 18.8429 17.4666 18.8534C17.5377 18.8792 17.5958 18.9319 17.6282 19.0002C17.6607 19.0685 17.665 19.1468 17.6402 19.2183C17.1485 20.6091 16.4877 21.9342 15.6725 23.1637C15.3913 23.2422 15.1125 23.3094 14.8389 23.3664Z" fill="white"/>
      </g>
      <path d="M18.2814 15.4676C18.3016 15.4688 18.3219 15.4688 18.3422 15.4676C18.4576 15.4673 18.569 15.4252 18.6557 15.349C18.7424 15.2728 18.7985 15.1677 18.8135 15.0533C18.9412 14.0447 19.0047 13.0291 19.0035 12.0125C19.0045 10.4751 18.4321 8.99252 17.3981 7.8547C16.3641 6.71687 14.943 6.00557 13.4124 5.85985C11.8819 5.71413 10.352 6.14447 9.12193 7.06673C7.89181 7.989 7.04988 9.33689 6.76072 10.8469C6.74147 10.9686 6.77026 11.0931 6.84103 11.194C6.9118 11.2948 7.01899 11.3643 7.14 11.3876C7.261 11.411 7.38634 11.3864 7.48956 11.3191C7.59278 11.2518 7.6658 11.147 7.69321 11.0268C7.94008 9.74976 8.65417 8.61061 9.69598 7.83188C10.7378 7.05315 12.0325 6.69077 13.3272 6.81554C14.6219 6.9403 15.8236 7.54325 16.6975 8.5066C17.5714 9.46995 18.0549 10.7245 18.0533 12.0252C18.0543 12.9994 17.9933 13.9727 17.8709 14.9393C17.8554 15.0637 17.89 15.1892 17.9669 15.2882C18.0439 15.3873 18.157 15.4518 18.2814 15.4676Z" fill="white"/>
      <g >
        <path d="M18.3416 15.281H18.3049C18.23 15.2712 18.1621 15.232 18.1161 15.1721C18.0929 15.1427 18.0759 15.1089 18.0661 15.0728C18.0563 15.0366 18.0539 14.9989 18.0591 14.9618C18.1824 13.9868 18.2437 13.0051 18.2428 12.0224C18.2439 10.6739 17.742 9.3735 16.8351 8.37548C15.9283 7.37747 14.6818 6.75362 13.3393 6.62594C11.9969 6.49825 10.6551 6.87592 9.57641 7.68507C8.49768 8.49423 7.75957 9.67668 7.50643 11.0012C7.49382 11.0659 7.45915 11.1243 7.40833 11.1664C7.3575 11.2084 7.29366 11.2315 7.2277 11.2318C7.20895 11.2315 7.19027 11.2294 7.17195 11.2254C7.13533 11.2183 7.10048 11.204 7.06939 11.1834C7.03829 11.1628 7.01157 11.1363 6.99074 11.1053C6.96991 11.0744 6.95539 11.0396 6.948 11.0031C6.94062 10.9665 6.94051 10.9288 6.94769 10.8922C7.22897 9.42941 8.04552 8.124 9.23782 7.23103C10.4301 6.33806 11.9125 5.92168 13.3954 6.06324C14.8783 6.2048 16.2551 6.89412 17.2569 7.99654C18.2587 9.09897 18.8135 10.5353 18.813 12.0249C18.814 13.0322 18.7509 14.0385 18.6242 15.0378C18.6141 15.1055 18.5801 15.1673 18.5282 15.212C18.4763 15.2567 18.4101 15.2812 18.3416 15.281Z" fill="white"/>
      </g>
      <path d="M18.8111 6.74312C17.5616 5.29697 15.8401 4.34037 13.9522 4.04319C13.89 4.03235 13.8263 4.03401 13.7647 4.04809C13.7032 4.06216 13.645 4.08836 13.5937 4.12516C13.5424 4.16195 13.499 4.2086 13.4659 4.26238C13.4328 4.31616 13.4108 4.376 13.4011 4.43839C13.3914 4.50078 13.3943 4.56447 13.4095 4.62574C13.4247 4.68702 13.452 4.74465 13.4897 4.79526C13.5275 4.84588 13.5749 4.88846 13.6293 4.92053C13.6837 4.95259 13.7439 4.9735 13.8065 4.98202C15.4806 5.25511 17.0038 6.11235 18.1059 7.40166C19.208 8.69097 19.8179 10.329 19.8272 12.0252C19.8272 16.6623 18.6223 20.22 17.0626 22.8845C17.5749 22.6702 18.0711 22.4195 18.5475 22.1344C19.8462 19.5105 20.7774 16.1796 20.7774 12.0252C20.7779 10.0854 20.0799 8.21035 18.8111 6.74312Z" fill="white"/>
      <g >
        <path d="M17.5123 22.4684C19.1745 19.4201 20.0171 15.908 20.0171 12.0197C20.0068 10.2769 19.3791 8.59411 18.2455 7.27031C17.1119 5.94651 15.5458 5.06735 13.8253 4.789C13.7508 4.7774 13.6839 4.73688 13.6391 4.67624C13.5946 4.6148 13.576 4.5384 13.5871 4.46338C13.5977 4.39635 13.6318 4.33527 13.6834 4.29115C13.7349 4.24702 13.8006 4.22274 13.8684 4.22266H13.9128C15.7726 4.51412 17.4672 5.46041 18.691 6.89095C19.9148 8.32149 20.5873 10.1421 20.5872 12.0247C20.5872 15.6926 19.8524 19.0476 18.4017 21.9997C18.1141 22.1606 17.8163 22.3227 17.5123 22.4684Z" fill="white"/>
      </g>
      <path d="M20.1734 7.15292C20.2167 7.21973 20.276 7.27466 20.3459 7.31272C20.4158 7.35078 20.4941 7.37076 20.5737 7.37084C20.6637 7.37043 20.7517 7.34403 20.8271 7.29482C20.8796 7.26113 20.925 7.2174 20.9605 7.16615C20.9961 7.1149 21.0212 7.05712 21.0344 6.99615C21.0476 6.93517 21.0486 6.87219 21.0374 6.81082C21.0261 6.74945 21.0029 6.6909 20.969 6.63853C20.0882 5.26109 18.8822 4.12137 17.4573 3.31976C16.0323 2.51815 14.4321 2.07924 12.7975 2.04169C11.163 2.00414 9.54428 2.3691 8.08399 3.10443C6.62371 3.83976 5.36665 4.92289 4.42353 6.25843C4.35061 6.36125 4.32153 6.48883 4.34268 6.6131C4.36382 6.73737 4.43347 6.84815 4.53629 6.92106C4.5872 6.95717 4.64473 6.98289 4.70558 6.99676C4.76644 7.01064 4.82943 7.01239 4.89096 7.00192C5.01523 6.98077 5.12601 6.91112 5.19892 6.8083C6.05175 5.59941 7.18882 4.61883 8.50993 3.95295C9.83104 3.28707 11.2956 2.95633 12.7747 2.98988C14.2538 3.02343 15.7019 3.42023 16.9914 4.14532C18.281 4.87041 19.3724 5.90154 20.1696 7.14785L20.1734 7.15292Z" fill="white"/>
      <g >
        <path d="M20.5736 7.18142C20.5261 7.18192 20.4793 7.1706 20.4373 7.14849C20.3952 7.12637 20.3594 7.09415 20.3329 7.05473C19.5193 5.78216 18.4052 4.7292 17.0888 3.98861C15.7723 3.24803 14.294 2.84254 12.7839 2.80787C11.2739 2.77319 9.77851 3.1104 8.42949 3.78979C7.08047 4.46917 5.91922 5.46989 5.04804 6.70377C5.02221 6.74206 4.98754 6.77356 4.94696 6.79561C4.90638 6.81766 4.86109 6.82962 4.81492 6.83047C4.75572 6.83093 4.69795 6.81227 4.65021 6.77726C4.6197 6.75568 4.59375 6.72829 4.57385 6.69666C4.55395 6.66502 4.5405 6.62977 4.53426 6.59292C4.52802 6.55608 4.52912 6.51836 4.53749 6.48194C4.54587 6.44552 4.56135 6.41111 4.58306 6.38069C5.50778 5.07035 6.74051 4.0075 8.17269 3.28574C9.60488 2.56398 11.1926 2.20547 12.7959 2.24176C14.3993 2.27806 15.9691 2.70806 17.3672 3.49389C18.7652 4.27972 19.9486 5.39727 20.8131 6.74812C20.8337 6.77979 20.8478 6.81527 20.8546 6.85248C20.8613 6.88968 20.8606 6.92786 20.8524 6.96477C20.844 7.00108 20.8285 7.03536 20.8068 7.0656C20.785 7.09584 20.7574 7.12143 20.7257 7.14088C20.68 7.16878 20.6271 7.18286 20.5736 7.18142Z" fill="white"/>
      </g>
      <path d="M12.7535 0.145508C12.669 0.145508 12.5846 0.145508 12.5001 0.145508H12.4748C10.7501 0.14986 9.04725 0.531261 7.48551 1.26299C5.92377 1.99472 4.54092 3.05909 3.43383 4.38151C2.32673 5.70394 1.52219 7.25244 1.07655 8.91853C0.630905 10.5846 0.554952 12.328 0.854008 14.0265L0.960434 13.9822C1.06573 13.9404 1.15251 13.8622 1.20496 13.7617C1.34813 13.4893 1.51917 12.9661 1.51917 12.0197C1.51917 9.12144 2.67048 6.34194 4.71982 4.29259C6.76917 2.24325 9.54867 1.09194 12.4469 1.09194C15.3451 1.09194 18.1246 2.24325 20.1739 4.29259C22.2233 6.34194 23.3746 9.12144 23.3746 12.0197C23.382 13.9624 23.185 15.9006 22.7867 17.8022C23.7929 16.0313 24.3228 14.0298 24.3248 11.993V11.9664C24.3249 8.8743 23.1136 5.90519 20.9505 3.69551C18.7875 1.48583 15.8449 0.211446 12.7535 0.145508Z" fill="white"/>
      <g >
        <path d="M23.2237 16.486C23.4531 15.0101 23.5671 13.5186 23.5645 12.025C23.5645 9.07638 22.3932 6.24854 20.3082 4.16356C18.2232 2.07857 15.3954 0.907241 12.4467 0.907241C9.49813 0.907241 6.67029 2.07857 4.5853 4.16356C2.50032 6.24854 1.32899 9.07638 1.32899 12.025C1.32899 12.9322 1.17062 13.4187 1.03632 13.6721C1.02603 13.6926 1.01326 13.7117 0.998306 13.7291C0.744822 12.0736 0.851699 10.3829 1.31164 8.77246C1.77157 7.16206 2.57373 5.66992 3.6633 4.39799C4.75286 3.12607 6.10416 2.10434 7.62486 1.40262C9.14556 0.700894 10.7998 0.335715 12.4746 0.332031H12.4987C12.5823 0.332031 12.6647 0.332031 12.7521 0.332031C15.794 0.396648 18.6895 1.65043 20.818 3.82461C22.9465 5.99879 24.1385 8.92031 24.1384 11.9629V11.9895C24.1341 13.5341 23.8231 15.0625 23.2237 16.486Z" fill="white"/>
      </g>
      <path d="M22.0757 11.5449C21.9497 11.5449 21.8288 11.595 21.7397 11.6841C21.6506 11.7732 21.6005 11.894 21.6005 12.02C21.6005 15.6626 20.9113 18.6996 19.8838 21.2031C20.4418 20.756 20.9583 20.2595 21.427 19.7195C22.19 17.2266 22.569 14.6321 22.5508 12.0251C22.5515 11.9623 22.5397 11.9 22.5161 11.8417C22.4925 11.7835 22.4576 11.7305 22.4134 11.6859C22.3692 11.6412 22.3166 11.6058 22.2587 11.5816C22.2007 11.5574 22.1385 11.5449 22.0757 11.5449Z" fill="white"/>
      <g >
        <path d="M20.3359 20.5663C21.3001 17.9538 21.7904 15.0816 21.7904 12.0243C21.7904 11.9487 21.8205 11.8762 21.8739 11.8228C21.9274 11.7693 21.9999 11.7393 22.0755 11.7393C22.1511 11.7393 22.2236 11.7693 22.2771 11.8228C22.3305 11.8762 22.3606 11.9487 22.3606 12.0243C22.3774 14.5993 22.0058 17.1621 21.2583 19.6262C20.969 19.9568 20.661 20.2707 20.3359 20.5663Z" fill="white"/>
      </g>
    </svg>
  )
}

export default TouchIcon;
